
From: Rolf Eike Beer <eike-kernel@sf-tec.de>

this patch makes some ints to unsigned ints.  They are only used as loop
counters and compared to unsigned ints.  GCC 3.3 doesn't like this.  They
will never be negative anyway, so we could easily shut him up.



 25-akpm/scripts/pnmtologo.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

diff -puN scripts/pnmtologo.c~pnmtologo-warning-fix scripts/pnmtologo.c
--- 25/scripts/pnmtologo.c~pnmtologo-warning-fix	Wed Sep 24 14:35:23 2003
+++ 25-akpm/scripts/pnmtologo.c	Wed Sep 24 14:35:23 2003
@@ -119,7 +119,8 @@ static unsigned int get_number255(FILE *
 static void read_image(void)
 {
     FILE *fp;
-    int i, j, magic;
+    unsigned int i, j;
+    int magic;
     unsigned int maxval;
 
     /* open image file */
@@ -274,7 +275,7 @@ static void write_hex(unsigned char byte
 
 static void write_logo_mono(void)
 {
-    int i, j;
+    unsigned int i, j;
     unsigned char val, bit;
 
     /* validate image */
@@ -302,7 +303,7 @@ static void write_logo_mono(void)
 
 static void write_logo_vga16(void)
 {
-    int i, j, k;
+    unsigned int i, j, k;
     unsigned char val;
 
     /* validate image */
@@ -342,7 +343,7 @@ static void write_logo_vga16(void)
 
 static void write_logo_clut224(void)
 {
-    int i, j, k;
+    unsigned int i, j, k;
 
     /* validate image */
     for (i = 0; i < logo_height; i++)
@@ -388,7 +389,7 @@ static void write_logo_clut224(void)
 
 static void write_logo_gray256(void)
 {
-    int i, j;
+    unsigned int i, j;
 
     /* validate image */
     for (i = 0; i < logo_height; i++)

_
